#!/bin/csh
echo `pwd`
setenv ANUPQ_GAP_EXEC "/home/aachen/bin/gap3r4"
switch ( `hostname` )
  case 'rowlf':
  case 'waldorf':
  case 'gonzo':
  case 'scooter':
  case 'fozzy':
  case 'stadler':
    limit stacksize 2048 ;
    exec $0-ibm-i386-386bsd $* ;
    breaksw ;
  case 'tiffy':
  case 'bert':
  case 'ernie':
  case 'samson':
    limit stacksize 2048 ;
    exec $0-dec-mips-ultrix $* ;
    breaksw ;
  case 'bjerun':
    limit stacksize 2048 ;
    exec $0-next-m68k-mach $* ;
    breaksw ;
  case 'momo':
  case 'groover':
    exec $0-hp-hppa1.1-hpux $* ;
    breaksw ;
  case 'math':
    exec $0-hp-hppa1.0-hpux $* ;
    breaksw ;
  case 'willi':
    exec $0-mips-mips-bsd $* ;
    breaksw ;
  case 'messua':
  case 'pell':
    exec $0-sun-sparc-sunos $* ;
    breaksw ;
  default:
    exec $0-sun $* ;
    breaksw ;
endsw
